Schedule transfer(s) V2

Schedule a Pix-out transfer or Pix-out recurring transfers.

This endpoint gives you more scheduling options than the version 1 Schedule transfer endpoint. These include additional options (scheduler_details object) for recurring transfers.

As with the Pix-out transfer endpoint, if you are using a key or QR Code, you need to call Validate DICT key or Get and validate QR Code before calling this endpoint. You need to enter the end_to_end_id returned from those calls here. If you are not using a key or QR Code, this endpoint generates and returns an end_to_end_id value you can use in other endpoints.

The end_to_end_id field is a Brazil Central Bank (BCB) requirement to track Pix transactions. Basically, there are two steps to a Pix transaction: 1. Initialize a transaction and 2. Confirm a transaction. The end_to_end_id is sent to the BCB in both steps in order to identify all transaction information.

This endpoint directly generates an Instant pay scheduler status changed event.

To create a recurring payment, set type = RECURRING and pass a value for cycle. This property has 2 attributes and should be set as shown in the sample table below:

cycle.typecycle.countNew transaction created every:
DAILY55 days
WEEKLY22 weeks
MONTHLY11 month
MONTHLY22 months
YEARLY11 year

Notes

  • WEEKLY sets the start_date weekday. For a scheduler with start_date = Thursday, the next transaction is always on a Thursday.

  • MONTHLY / YEARLY sets the start_date day. For a scheduler with start_date = 2024-10-12, the next transaction is always created on day 12 of each cycle count. Now, for days 29, 30 and 31, the scheduler uses the previous month's last day when that day doesn't exist in the current month. For example, considering a scheduler starting at 2024-01-30, the next transaction is created on 2024-02-29.

Events

For more information, refer to the Pix instant payments guide.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
number
required

Amount to be transferred.

bank_account
object
required
string
enum
required
length ≤ 20

Initiation type:

MANUAL - Manually initiated. Key is not used - bank account, bank code, document number, and branch are used for identification.

DICT - Diretorio de Identificadores de Contas de Transação (Transaction accounts ID directory). Pix/DICT key is used for identification.

DYNAMIC_QRCODE - The amount and other details for a dynamic code are included automatically.

Allowed:
string
required
length ≤ 8

ISPB (Identifcador do Sistema de Pagamento Brazil) - the Brazilian Payment System ID, an 8-digit value.

boolean

Is device registered to do a Pix-out transfer? Default is true.

payee
object
required
qr_code_additional_information
array of objects

Additional QR Code information.

qr_code_additional_information
scheduler_details
object
required
string

This field is a Brazil Central Bank (BCB) requirement to track all steps of Pix transactions. Basically, there are two steps to a Pix transaction: 1. Initialize a transaction 2. Confirm a transaction The end_to_end_id is sent to the BCB in both steps in order to identify all transaction information.

string
length ≤ 140

Remittance information. Information from payee when transaction is a static QR Code.

string

Transaction ID. REQUIRED if initiation_type = DYNAMIC_QR_CODE. Cannot be passed if MANUAL or DICT. If STATIC_QR_CODE contains transaction_identification, it is REQUIRED to pass it.

flex_controls
object

Flex control ID and schedule limit checking before creating a new scheduler.

Headers
string
required

Account token - an access token encoded with a Pismo account ID. Tokens can expire quickly, which can result in a 401 Unauthorized message.

string
required

A unique ID to ensure the operation remains idempotent, allowing for operation repitition without causing unintended effects or duplication. An idempotent operation is one that can be applied multiple times, yet the outcome remains the same. it ensures that network errors, retries, or failures can occur without introducing inconsistencies.

string

The Correlation ID UUID field links related API requests and events. The x-cid can help the Pismo engineering team track everything related to a call. If not passed, this field is automatically generated.

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json